> ## Documentation Index
> Fetch the complete documentation index at: https://docs-hosting.axiomesh.io/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getTransactionCount

Returns the number of transactions sent from an address

### Body

<ParamField body="id" type="number" placeholder="1">
  Serves as a unique identifier for the request
</ParamField>

<ParamField body="jsonrpc" type="string" placeholder="2.0">
  Indicates the version of JSON-RPC being used
</ParamField>

<ParamField body="method" type="string" placeholder="eth_getTransactionCount">
  Represents the name of the remote procedure or method to be called
</ParamField>

<ParamField body="params" type="array">
  Contains the list of parameters passed to the remote method

  <ParamField body="address" type="string">
    A string representing the address (20 bytes) to check for transaction count for
  </ParamField>

  <ParamField body="block" type="string">
    A hexadecimal block number, or the string "latest", "earliest" or "pending" or the hash (32 bytes) of a block
  </ParamField>
</ParamField>

### Response

<ResponseField name="id" type="number">
  Returns unique identifier for the request
</ResponseField>

<ResponseField name="jsonrpc" type="string">
  Returns the version of JSON-RPC being used
</ResponseField>

<ResponseField name="transactionCount" type="string">
  A hex code of the integer representing the number of transactions sent from this address
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl 'https://rpc1.aries.axiomesh.io' \
  --header 'Content-Type: application/json' \
  --data '{
      "jsonrpc": "2.0",
      "method": "eth_getTransactionCount",
      "params": ["0xc7f999b83af6df9e67d0a37ee7e900bf38b3d013","latest"],
      "id": 1
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "jsonrpc": "2.0",
      "id": 1,
      "result": "0x2"
  }
  ```
</ResponseExample>
